--- title: "getCloudPostgresqlBackupDetailList" slug: "database-vpostgresql-getcloudpostgresqlbackupdetaillist" updated: 2026-09-17T10:05:48Z published: 2026-09-17T10:05:48Z canonical: "api.ncloud-docs.com/database-vpostgresql-getcloudpostgresqlbackupdetaillist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudPostgresqlBackupDetailList Available in VPC Get Cloud DB for PostgreSQL instance backup details in a list. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vpostgresql/v2/getCloudPostgresqlBackupDetailList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for PostgreSQL (VPC) APIs, see [Cloud DB for PostgreSQL (VPC) request headers](/docs/en/database-vpostgresql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - Region code of the Cloud DB for PostgreSQL server instance to view - Check through [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `cloudPostgresqlInstanceNo` | String | Required | Cloud DB for PostgreSQL instance number - Check through [getCloudPostgresqlInstanceList](/docs/en/database-vpostgresql-getcloudpostgresqlinstancelist) | | `pageNo` | Integer | Optional | Page numbers in paged results - Page the result values using `pageNo` and `pageSize` - 0 (minimum) | | `pageSize` | Integer | Conditional | Number of results to display on a page - Page the result values using `pageNo` and `pageSize` - Required when entering `pageNo` - 1 - 1000 | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vpostgresql/v2/getCloudPostgresqlBackupDetailList ?regionCode=KR &cloudPostgresqlInstanceNo=****925' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [CloudPostgresqlBackupDetailList](/docs/en/common-vapidatatype-cloudpostgresqlbackupdetaillist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for PostgreSQL (VPC) APIs, see [Cloud DB for PostgreSQL (VPC) response status codes](/docs/en/database-vpostgresql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. - If `responseFormatType=json` ``` { "getCloudPostgresqlBackupDetailListResponse": { "totalRows": 1, "cloudPostgresqlBackupDetailList": [ { "fileName": "91839", "startTime": "2024-06-03T11:26:34+0900", "endTime": "2024-06-03T11:26:42+0900", "backupSize": 4196999, "dataStorageSize": 10737418240, "archivedWalFileSize": 2024301 } ], "requestId": "0edb0365-6e13-464d-bcc1-1c3f335eec25", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` b41efca4-****-****-****-24ef4eed8410 0 success 1 91839 2024-06-03T11:26:34+0900 2024-06-03T11:26:42+0900 4196999 10737418240 2024301 ```